> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Link accounts to agreement

> This operation will link the given list of accounts to a given agreement



## OpenAPI

````yaml repricing post /v1/priceagreement/{id}/link
openapi: 3.0.0
info:
  description: Endpoint for supporting repricing
  version: '1'
  title: Repricing API
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/
    description: Live environment
security: []
tags:
  - name: Create repricing agreements
    description: Endpoints for creating repricing agreements
  - name: Update repricing agreements
    description: Endpoints for updating repricing agreements
  - name: Get repricing agreements
    description: Endpoints for fetching repricing agreements
  - name: Create price lists
    description: Endpoints for creating price lists
  - name: Update price lists
    description: Endpoints for updating price lists
  - name: Get price lists
    description: Endpoints for fetching price lists
paths:
  /v1/priceagreement/{id}/link:
    post:
      tags:
        - Create repricing agreements
      summary: Link accounts to agreement
      description: This operation will link the given list of accounts to a given agreement
      operationId: createPriceAgreementAccountConnectionsUsingPOST
      parameters:
        - name: id
          in: path
          description: The id of the price agreement you want to connect the accounts to
          required: true
          schema:
            type: string
        - name: auditUser
          in: query
          description: The audit user to log the request
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/postPriceAgreementAccountV1ResourceBody'
      responses:
        '201':
          description: Successfully created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/connectAccountsResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
      deprecated: false
components:
  requestBodies:
    postPriceAgreementAccountV1ResourceBody:
      content:
        application/json:
          schema:
            type: array
            maxItems: 1000
            items:
              $ref: '#/components/schemas/postPriceAgreementAccountV1ResourceBody'
      description: Request information needed to create the price agreement
      required: true
  schemas:
    connectAccountsResponse:
      type: object
      required:
        - links
      properties:
        description:
          type: string
          maxLength: 255
          description: Short description of the result of the action
        links:
          type: array
          description: >-
            Will contain the IDs of the resources that have been created or
            updated
          items:
            type: object
            required:
              - accountId
              - id
            properties:
              accountId:
                maxLength: 64
                type: string
              id:
                maxLength: 64
                type: string
      title: connectAccountsResponse
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining reason of error
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred
    postPriceAgreementAccountV1ResourceBody:
      allOf:
        - $ref: '#/components/schemas/priceAgreementAccountBase'
    priceAgreementAccountBase:
      type: object
      properties:
        accountId:
          type: string
          maxLength: 64
          description: The id of the card that you want to connect to a price agreement
        validFrom:
          type: string
          format: date-time
          description: >-
            The RFC 3339 format date and time from what time the price list
            should be active. Cannot be null
          example: '2022-05-12T13:18:05Z'
        validTo:
          type: string
          format: date-time
          description: >-
            The RFC 3339 format date and time when this price list should stop
            to be active. Cannot be greater than 'validFrom' of any other price
            list with the same 'code'. Can be null, which means this price list
            is active until this field is set
          example: '2022-05-12T13:18:05Z'

````